Bug 251095 - graphics/py-pygraphviz: Update to 1.6
Summary: graphics/py-pygraphviz: Update to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on: 251094
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-13 08:36 UTC by Loïc Bartoletti
Modified: 2020-12-24 10:50 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
graphics/py-pygraphviz 1.6 (1.88 KB, patch)
2020-11-13 08:36 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-11-13 08:36:26 UTC
Created attachment 219629 [details]
graphics/py-pygraphviz 1.6

graphics/py-pygraphviz: Update to 1.6

 * Drop python2 support (python 3.6+)
 * Add devel/nose and devel/py-doctest-ignore-unicode in TEST_DEPENDS

 Changelog:

   <URL to changelog>

 [1] Upstream reference URL (pull request, issue, mailing list)

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/13 amd64/i386 py27/py37)
  * maketest: OK (99 of 99 tests PASS)
Comment 1 commit-hook freebsd_committer 2020-12-24 08:41:15 UTC
A commit references this bug:

Author: lbartoletti
Date: Thu Dec 24 08:40:44 UTC 2020
New revision: 559051
URL: https://svnweb.freebsd.org/changeset/ports/559051

Log:
  graphics/py-pygraphviz: Update to 1.6

   * Drop python2 support (python 3.6+)
   * Add devel/nose and devel/py-doctest-ignore-unicode in TEST_DEPENDS

  PR:		251095
  Approved by:	python (maintainer's timeout -- > 1 month)

Changes:
  head/graphics/py-pygraphviz/Makefile
  head/graphics/py-pygraphviz/distinfo
  head/graphics/py-pygraphviz/pkg-descr
Comment 2 Loïc Bartoletti freebsd_committer 2020-12-24 10:50:39 UTC
Committed.